package gov.va.vinci.dart.dms.db.impl;

import javax.persistence.Query;

import gov.va.vinci.dart.db.util.HibernateDAO;
import gov.va.vinci.dart.dms.biz.Repository;
import gov.va.vinci.dart.dms.db.RepositoryDAO;

public class RepositoryDAOImpl extends HibernateDAO implements RepositoryDAO {

	@Override
	public Repository findById(final int repositoryId) {
		Query q = createQuery("from Repository where id=:rid");
		q.setParameter("rid", repositoryId);
		return (Repository)q.getSingleResult();
	}
}
